> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace members of a customer organization

> Replace all [customer](/customers/overview) in an existing customer organization. This action does not impact their membership in other organizations.



## OpenAPI

````yaml customer.latest.product.live PUT /customer-organizations/{id}/members
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customer-organizations/{id}/members:
    servers: []
    parameters: []
    put:
      tags:
        - Organizations
      summary: Replace members of a customer organization
      description: >-
        Replace all [customer](/customers/overview) in an existing customer
        organization. This action does not impact their membership in other
        organizations.
      operationId: putCustomerOrganizationsByIdMembers
      parameters:
        - name: id
          in: path
          description: Customer organisation ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerOrganizationMembers'
              example:
                customerIds:
                  - e06f36e2-0a44-404d-bdbc-b66a292609b0
            examples:
              CustomerOrganizationMembers:
                summary: ''
                value:
                  customerIds:
                    - e06f36e2-0a44-404d-bdbc-b66a292609b0
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerOrganization'
                example:
                  id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                  owner:
                    id: 50af5191-05a3-42a5-802a-6b59091157af
                    name: FinTech Solutions Inc.
                  members:
                    - id: e06f36e2-0a44-404d-bdbc-b66a292609b0
                      name: FinTech Wealth Management
              examples:
                CustomerOrganization:
                  summary: ''
                  value:
                    id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                    owner:
                      id: 50af5191-05a3-42a5-802a-6b59091157af
                      name: FinTech Solutions Inc.
                    members:
                      - id: e06f36e2-0a44-404d-bdbc-b66a292609b0
                        name: FinTech Wealth Management
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CustomerOrganizationMembers:
      required:
        - customerIds
      type: object
      example:
        customerIds:
          - e06f36e2-0a44-404d-bdbc-b66a292609b0
      properties:
        customerIds:
          type: array
          description: IDs of customers to add to an existing organization.
          example:
            - e06f36e2-0a44-404d-bdbc-b66a292609b0
          items:
            type: string
    CustomerOrganization:
      required:
        - id
        - members
        - owner
      type: object
      example:
        id: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          id: 50af5191-05a3-42a5-802a-6b59091157af
          name: FinTech Solutions Inc.
        members:
          - id: e309e948-088e-4d77-b654-cd85498f1555
            name: Fintech Payment Processing
          - id: 50af5191-05a3-42a5-802a-6b59091157af
            name: Fintech Lending Services
      properties:
        id:
          type: string
          description: Organization ID
          example: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          $ref: '#/components/schemas/CustomerIdWithName'
        members:
          type: array
          description: >-
            Members of the customer organization, excluding the owner. These are
            the children in a parent-child relationship.
          example:
            - id: e309e948-088e-4d77-b654-cd85498f1555
              name: Fintech Payment Processing
            - id: 50af5191-05a3-42a5-802a-6b59091157af
              name: Fintech Lending Services
          items:
            $ref: '#/components/schemas/CustomerIdWithName'
    CustomerIdWithName:
      required:
        - id
        - name
      type: object
      description: ID of the customer that will own the organization.
      example:
        id: 50af5191-05a3-42a5-802a-6b59091157af
        name: FinTech Solutions Inc.
      properties:
        id:
          type: string
          description: Customer ID
          example: 50af5191-05a3-42a5-802a-6b59091157af
        name:
          type: string
          description: Customer legal name
          example: FinTech Solutions Inc.

````